package com.tarento.analytics.utils;

import java.util.Map;
import java.util.stream.Collectors;
import java.util.stream.Stream;

import org.springframework.stereotype.Component;

@Component
public class MapConstants {
	
	private MapConstants() {
	}
	
	public static final Long DEFAULT_FORM_ID = 1588649441368l; 
	public static final Map<String, String> DISTRICT_STATE_MAP = Stream.of(new String[][] {
		{"Kupwara","Jammu And Kashmir"},
		{"Baramula","Jammu And Kashmir"},
		{"Srinagar","Jammu And Kashmir"},
		{"Badgam","Jammu And Kashmir"},
		{"Pulwama","Jammu And Kashmir"},
		{"Anantnag","Jammu And Kashmir"},
		{"Leh (Ladakh)","Jammu And Kashmir"},
		{"Kargil","Jammu And Kashmir"},
		{"Doda","Jammu And Kashmir"},
		{"Udhampur","Jammu And Kashmir"},
		{"Punch","Jammu And Kashmir"},
		{"Rajauri","Jammu And Kashmir"},
		{"Jammu","Jammu And Kashmir"},
		{"Kathua","Jammu And Kashmir"},
		{"Shopian","Jammu And Kashmir"},
		{"Bandipora","Jammu And Kashmir"},
		{"Kishtwar","Jammu And Kashmir"},
		{"Ramban","Jammu And Kashmir"},
		{"Ganderbal","Jammu And Kashmir"},
		{"Kulgam","Jammu And Kashmir"},
		{"Reasi","Jammu And Kashmir"},
		{"Samba","Jammu And Kashmir"},
		{"Chamba","Himachal Pradesh"},
		{"Kangra","Himachal Pradesh"},
		{"Lahul & Spiti","Himachal Pradesh"},
		{"Kullu","Himachal Pradesh"},
		{"Mandi","Himachal Pradesh"},
		{"Hamirpur (H.P.)","Himachal Pradesh"},
		{"Una","Himachal Pradesh"},
		{"Bilaspur (H.P.)","Himachal Pradesh"},
		{"Solan","Himachal Pradesh"},
		{"Sirmaur","Himachal Pradesh"},
		{"Shimla","Himachal Pradesh"},
		{"Kinnaur","Himachal Pradesh"},
		{"Gurdaspur","Punjab"},
		{"Amritsar","Punjab"},
		{"Kapurthala","Punjab"},
		{"Jalandhar","Punjab"},
		{"Hoshiarpur","Punjab"},
		{"Shaheed Bhagat Singh Nagar","Punjab"},
		{"Rupnagar","Punjab"},
		{"Fatehgarh Sahib","Punjab"},
		{"Ludhiana","Punjab"},
		{"Moga","Punjab"},
		{"Ferozepur","Punjab"},
		{"Sri Muktsar Sahib","Punjab"},
		{"Faridkot","Punjab"},
		{"Bathinda","Punjab"},
		{"Mansa","Punjab"},
		{"Sangrur","Punjab"},
		{"Patiala","Punjab"},
		{"Sahibzada Ajit Singh Nagar","Punjab"},
		{"Tarn Taran","Punjab"},
		{"Barnala","Punjab"},
		{"Fazilka","Punjab"},
		{"Pathankot","Punjab"},
		{"Chandigarh","Chandigarh"},
		{"Uttarkashi","Uttarakhand"},
		{"Chamoli","Uttarakhand"},
		{"Rudraprayag","Uttarakhand"},
		{"Tehri Garhwal","Uttarakhand"},
		{"Dehradun","Uttarakhand"},
		{"Garhwal","Uttarakhand"},
		{"Pithoragarh","Uttarakhand"},
		{"Bageshwar","Uttarakhand"},
		{"Almora","Uttarakhand"},
		{"Champawat","Uttarakhand"},
		{"Nainital","Uttarakhand"},
		{"Udham Singh Nagar","Uttarakhand"},
		{"Hardwar","Uttarakhand"},
		{"Panchkula","Haryana"},
		{"Ambala","Haryana"},
		{"Yamunanagar","Haryana"},
		{"Kurukshetra","Haryana"},
		{"Kaithal","Haryana"},
		{"Karnal","Haryana"},
		{"Panipat","Haryana"},
		{"Sonipat","Haryana"},
		{"Jind","Haryana"},
		{"Fatehabad","Haryana"},
		{"Sirsa","Haryana"},
		{"Hisar","Haryana"},
		{"Bhiwani","Haryana"},
		{"Rohtak","Haryana"},
		{"Jhajjar","Haryana"},
		{"Mahendragarh","Haryana"},
		{"Rewari","Haryana"},
		{"Gurugram","Haryana"},
		{"Mewat","Haryana"},
		{"Faridabad","Haryana"},
		{"Palwal","Haryana"},
		{"Charkhi Dadri","Haryana"},
		{"North West Delhi","Delhi"},
		{"North Delhi","Delhi"},
		{"North East Delhi","Delhi"},
		{"East Delhi","Delhi"},
		{"New Delhi","Delhi"},
		{"Central Delhi","Delhi"},
		{"West Delhi","Delhi"},
		{"South West Delhi","Delhi"},
		{"South Delhi","Delhi"},
		{"South East Delhi","Delhi"},
		{"Shahdara","Delhi"},
		{"Ganganagar","Rajasthan"},
		{"Hanumangarh","Rajasthan"},
		{"Bikaner","Rajasthan"},
		{"Churu","Rajasthan"},
		{"Jhunjhunu","Rajasthan"},
		{"Alwar","Rajasthan"},
		{"Bharatpur","Rajasthan"},
		{"Dhaulpur","Rajasthan"},
		{"Karauli","Rajasthan"},
		{"Sawai Madhopur","Rajasthan"},
		{"Dausa","Rajasthan"},
		{"Jaipur","Rajasthan"},
		{"Sikar","Rajasthan"},
		{"Nagaur","Rajasthan"},
		{"Jodhpur","Rajasthan"},
		{"Jaisalmer","Rajasthan"},
		{"Barmer","Rajasthan"},
		{"Jalor","Rajasthan"},
		{"Sirohi","Rajasthan"},
		{"Pali","Rajasthan"},
		{"Ajmer","Rajasthan"},
		{"Tonk","Rajasthan"},
		{"Bundi","Rajasthan"},
		{"Bhilwara","Rajasthan"},
		{"Rajsamand","Rajasthan"},
		{"Udaipur","Rajasthan"},
		{"Dungarpur","Rajasthan"},
		{"Banswara","Rajasthan"},
		{"Chittaurgarh","Rajasthan"},
		{"Kota","Rajasthan"},
		{"Baran","Rajasthan"},
		{"Jhalawar","Rajasthan"},
		{"Pratapgarh","Rajasthan"},
		{"Agra","Uttar Pradesh"},
		{"Hathras","Uttar Pradesh"},
		{"Aligarh","Uttar Pradesh"},
		{"Mathura","Uttar Pradesh"},
		{"Firozabad","Uttar Pradesh"},
		{"Mainpuri","Uttar Pradesh"},
		{"Etah","Uttar Pradesh"},
		{"Bareilly","Uttar Pradesh"},
		{"Budaun","Uttar Pradesh"},
		{"Shahjahanpur","Uttar Pradesh"},
		{"Pilibhit","Uttar Pradesh"},
		{"Moradabad","Uttar Pradesh"},
		{"Amroha","Uttar Pradesh"},
		{"Rampur","Uttar Pradesh"},
		{"Bijnor","Uttar Pradesh"},
		{"Kanpur Nagar","Uttar Pradesh"},
		{"Kanpur Dehat","Uttar Pradesh"},
		{"Kannauj","Uttar Pradesh"},
		{"Farrukhabad","Uttar Pradesh"},
		{"Raebareli","Uttar Pradesh"},
		{"Rai Bareilly","Uttar Pradesh"},
		{"Etawah","Uttar Pradesh"},
		{"Meerut","Uttar Pradesh"},
		{"Baghpat","Uttar Pradesh"},
		{"Ghaziabad","Uttar Pradesh"},
		{"Gautam Buddh Nagar","Uttar Pradesh"},
		{"G B Nagar", "Uttar Pradesh"}, 
		{"Bulandshehr","Uttar Pradesh"},
		{"Buland Shahar","Uttar Pradesh"},
		{"Lucknow","Uttar Pradesh"},
		{"Saharanpur","Uttar Pradesh"},
		{"Muzaffarnagar","Uttar Pradesh"},
		{"Muzaffar Nagar","Uttar Pradesh"},
		{"Unnao","Uttar Pradesh"},
		{"Auraiya","Uttar Pradesh"},
		{"Sitapur","Uttar Pradesh"},
		{"Hardoi","Uttar Pradesh"},
		{"Lakhimpur","Uttar Pradesh"},
		{"Lakhimpur Khiri","Uttar Pradesh"},
		{"Allahabad","Uttar Pradesh"},
		{"Barabanki","Uttar Pradesh"},
		{"Fatehpur","Uttar Pradesh"},
		{"Pratapgadh","Uttar Pradesh"},
		{"Jhansi","Uttar Pradesh"},
		{"Lalitpur","Uttar Pradesh"},
		{"Jalaun","Uttar Pradesh"},
		{"Varanasi","Uttar Pradesh"},
		{"Chandauli","Uttar Pradesh"},
		{"Jaunpur","Uttar Pradesh"},
		{"Ghazipur","Uttar Pradesh"},
		{"Mirzapur","Uttar Pradesh"},
		{"Sonbhadra","Uttar Pradesh"},
		{"Sant Ravidas Nagar","Uttar Pradesh"},
		{"Azamgarh","Uttar Pradesh"},
		{"Mau","Uttar Pradesh"},
		{"Ballia","Uttar Pradesh"},
		{"Balia","Uttar Pradesh"}, 
		{"Gorakhpur","Uttar Pradesh"},
		{"Maharajganj","Uttar Pradesh"},
		{"Deoria","Uttar Pradesh"},
		{"Kushinagar","Uttar Pradesh"},
		{"Kushi Nagar", "Uttar Pradesh"}, 
		{"Basti","Uttar Pradesh"},
		{"Sant Kabeer Nagar","Uttar Pradesh"},
		{"Sant Kabir Nagar","Uttar Pradesh"},
		{"Siddhartha Nagar","Uttar Pradesh"},
		{"Siddharth Nagar","Uttar Pradesh"},
		{"Faizabad","Uttar Pradesh"},
		{"Ambedkar Nagar","Uttar Pradesh"},
		{"Sultanpur","Uttar Pradesh"},
		{"Gonda","Uttar Pradesh"},
		{"Balrampur","Uttar Pradesh"},
		{"Behraich","Uttar Pradesh"},
		{"Bahraich","Uttar Pradesh"},
		{"Shravasti","Uttar Pradesh"},
		{"Srawasti","Uttar Pradesh"},
		{"Hapur","Uttar Pradesh"},
		{"Banda","Uttar Pradesh"},
		{"Mahoba","Uttar Pradesh"},
		{"Hamirpur","Uttar Pradesh"},
		{"Kasganj","Uttar Pradesh"},
		{"Amethi - Csm Nagar","Uttar Pradesh"},
		{"Amethi","Uttar Pradesh"},
		{"Shamli (Prabudh Nagar)","Uttar Pradesh"},
		{"Shamli", "Uttar Pradesh"},
		{"Sambhal","Uttar Pradesh"},
		{"Chitrakoot","Uttar Pradesh"},
		{"Kaushambi","Uttar Pradesh"},
		{"Bhadohi","Uttar Pradesh"},
		{"Pashchim Champaran","Bihar"},
		{"Purba Champaran","Bihar"},
		{"Sheohar","Bihar"},
		{"Sitamarhi","Bihar"},
		{"Madhubani","Bihar"},
		{"Supaul","Bihar"},
		{"Araria","Bihar"},
		{"Kishanganj","Bihar"},
		{"Purnia","Bihar"},
		{"Katihar","Bihar"},
		{"Madhepura","Bihar"},
		{"Saharsa","Bihar"},
		{"Darbhanga","Bihar"},
		{"Muzaffarpur","Bihar"},
		{"Gopalganj","Bihar"},
		{"Siwan","Bihar"},
		{"Saran","Bihar"},
		{"Vaishali","Bihar"},
		{"Samastipur","Bihar"},
		{"Begusarai","Bihar"},
		{"Khagaria","Bihar"},
		{"Bhagalpur","Bihar"},
		{"Banka","Bihar"},
		{"Munger","Bihar"},
		{"Lakhisarai","Bihar"},
		{"Sheikhpura","Bihar"},
		{"Nalanda","Bihar"},
		{"Patna","Bihar"},
		{"Bhojpur","Bihar"},
		{"Buxar","Bihar"},
		{"Kaimur (Bhabua)","Bihar"},
		{"Rohtas","Bihar"},
		{"Jehanabad","Bihar"},
		{"Aurangabad (Bihar)","Bihar"},
		{"Gaya","Bihar"},
		{"Nawada","Bihar"},
		{"Jamui","Bihar"},
		{"Arwal","Bihar"},
		{"North Sikkim","Sikkim"},
		{"West Sikkim","Sikkim"},
		{"South Sikkim","Sikkim"},
		{"East Sikkim","Sikkim"},
		{"Tawang","Arunachal Pradesh"},
		{"West Kameng","Arunachal Pradesh"},
		{"East Kameng","Arunachal Pradesh"},
		{"Papum Pare","Arunachal Pradesh"},
		{"Lower Subansiri","Arunachal Pradesh"},
		{"Upper Subansiri","Arunachal Pradesh"},
		{"West Siang","Arunachal Pradesh"},
		{"East Siang","Arunachal Pradesh"},
		{"Upper Siang","Arunachal Pradesh"},
		{"Dibang Valley","Arunachal Pradesh"},
		{"Lohit","Arunachal Pradesh"},
		{"Changlang","Arunachal Pradesh"},
		{"Tirap","Arunachal Pradesh"},
		{"Kurung Kumey","Arunachal Pradesh"},
		{"Lower Dibang Valley","Arunachal Pradesh"},
		{"Anjaw","Arunachal Pradesh"},
		{"Longding","Arunachal Pradesh"},
		{"Namsai","Arunachal Pradesh"},
		{"Kra Dadi","Arunachal Pradesh"},
		{"Siang","Arunachal Pradesh"},
		{"Kamle","Arunachal Pradesh"},
		{"Lepa Rada","Arunachal Pradesh"},
		{"Lower Siang","Arunachal Pradesh"},
		{"Pakke Kessang","Arunachal Pradesh"},
		{"Shi Yomi","Arunachal Pradesh"},
		{"Mon","Nagaland"},
		{"Tuensang","Nagaland"},
		{"Mokokchung","Nagaland"},
		{"Zunheboto","Nagaland"},
		{"Wokha","Nagaland"},
		{"Dimapur","Nagaland"},
		{"Kohima","Nagaland"},
		{"Phek","Nagaland"},
		{"Longleng","Nagaland"},
		{"Kiphire","Nagaland"},
		{"Peren","Nagaland"},
		{"Senapati","Manipur"},
		{"Tamenglong","Manipur"},
		{"Churachandpur","Manipur"},
		{"Bishnupur","Manipur"},
		{"Thoubal","Manipur"},
		{"Imphal West","Manipur"},
		{"Imphal East","Manipur"},
		{"Ukhrul","Manipur"},
		{"Chandel","Manipur"},
		{"Jiribam","Manipur"},
		{"Kakching","Manipur"},
		{"Kamjong","Manipur"},
		{"Kangpokpi","Manipur"},
		{"Noney","Manipur"},
		{"Pherzawl","Manipur"},
		{"Tengnoupal","Manipur"},
		{"Mamit","Mizoram"},
		{"Kolasib","Mizoram"},
		{"Aizawl","Mizoram"},
		{"Champhai","Mizoram"},
		{"Serchhip","Mizoram"},
		{"Lunglei","Mizoram"},
		{"Lawngtlai","Mizoram"},
		{"Saiha","Mizoram"},
		{"West Tripura","Tripura"},
		{"South Tripura","Tripura"},
		{"Dhalai","Tripura"},
		{"North Tripura","Tripura"},
		{"Sepahijala","Tripura"},
		{"Khowai","Tripura"},
		{"Gomati","Tripura"},
		{"Unakoti","Tripura"},
		{"West Garo Hills","Meghalaya"},
		{"East Garo Hills","Meghalaya"},
		{"South Garo Hills","Meghalaya"},
		{"West Khasi Hills","Meghalaya"},
		{"Ri Bhoi","Meghalaya"},
		{"East Khasi Hills","Meghalaya"},
		{"West Jaintia Hills","Meghalaya"},
		{"North Garo Hills","Meghalaya"},
		{"East Jaintia Hills","Meghalaya"},
		{"South West Khasi Hills","Meghalaya"},
		{"South West Garo Hills","Meghalaya"},
		{"Kokrajhar","Assam"},
		{"Dhubri","Assam"},
		{"Goalpara","Assam"},
		{"Bongaigaon","Assam"},
		{"Barpeta","Assam"},
		{"Kamrup Rural","Assam"},
		{"Nalbari","Assam"},
		{"Darrang","Assam"},
		{"Morigaon","Assam"},
		{"Nagaon","Assam"},
		{"Sonitpur","Assam"},
		{"Lakimpur","Assam"},
		{"Dhemaji","Assam"},
		{"Tinsukia","Assam"},
		{"Dibrugarh","Assam"},
		{"Sivasagar","Assam"},
		{"Jorhat","Assam"},
		{"Golaghat","Assam"},
		{"Karbi Anglong","Assam"},
		{"Dima Hasao","Assam"},
		{"Cachar","Assam"},
		{"Karimganj","Assam"},
		{"Hailakandi","Assam"},
		{"Baksa","Assam"},
		{"Chirang","Assam"},
		{"Udalguri","Assam"},
		{"Kamrup Metropolitan","Assam"},
		{"Biswanath","Assam"},
		{"Charaideo","Assam"},
		{"Hojai","Assam"},
		{"Majuli","Assam"},
		{"South Salmara-Mankachar","Assam"},
		{"West Karbi Anglong","Assam"},
		{"Darjiling","West Bengal"},
		{"Jalpaiguri","West Bengal"},
		{"Koch Bihar","West Bengal"},
		{"Uttar Dinajpur","West Bengal"},
		{"Dakshin Dinajpur","West Bengal"},
		{"Maldah","West Bengal"},
		{"Murshidabad","West Bengal"},
		{"Birbhum","West Bengal"},
		{"Nadia","West Bengal"},
		{"North Twenty Four Pargana","West Bengal"},
		{"Hugli","West Bengal"},
		{"Bankura","West Bengal"},
		{"Puruliya","West Bengal"},
		{"Haora","West Bengal"},
		{"Kolkata","West Bengal"},
		{"South  Twenty Four Pargan","West Bengal"},
		{"Purba Medinipur","West Bengal"},
		{"Paschim Medinipur","West Bengal"},
		{"Alipurduar","West Bengal"},
		{"Jhargram","West Bengal"},
		{"Kalimpong","West Bengal"},
		{"Paschim Burdwan (West Bardhaman)","West Bengal"},
		{"Purba Burdwan (East Bardhaman)","West Bengal"},
		{"Garhwa","Jharkhand"},
		{"Palamu","Jharkhand"},
		{"Chatra","Jharkhand"},
		{"Hazaribagh","Jharkhand"},
		{"Koderma","Jharkhand"},
		{"Giridih","Jharkhand"},
		{"Deoghar","Jharkhand"},
		{"Godda","Jharkhand"},
		{"Sahibganj","Jharkhand"},
		{"Pakur","Jharkhand"},
		{"Dumka","Jharkhand"},
		{"Dhanbad","Jharkhand"},
		{"Bokaro","Jharkhand"},
		{"Ranchi","Jharkhand"},
		{"Lohardaga","Jharkhand"},
		{"Gumla","Jharkhand"},
		{"Pashchimi Singhbhum","Jharkhand"},
		{"Purbi Singhbhum","Jharkhand"},
		{"Jamtara","Jharkhand"},
		{"Saraikela-Kharsawan","Jharkhand"},
		{"Simdega","Jharkhand"},
		{"Latehar","Jharkhand"},
		{"Khunti","Jharkhand"},
		{"Ramgarh","Jharkhand"},
		{"Baragarh","Odisha"},
		{"Jharsuguda","Odisha"},
		{"Sambalpur","Odisha"},
		{"Deogarh","Odisha"},
		{"Sundergarh","Odisha"},
		{"Keonjhar","Odisha"},
		{"Mayurbhanj","Odisha"},
		{"Balasore","Odisha"},
		{"Bhadrak","Odisha"},
		{"Kendrapara","Odisha"},
		{"Jagatsinghpur","Odisha"},
		{"Cuttack","Odisha"},
		{"Jajpur","Odisha"},
		{"Dhenkanal","Odisha"},
		{"Angul","Odisha"},
		{"Nayagarh","Odisha"},
		{"Khurdha","Odisha"},
		{"Puri","Odisha"},
		{"Ganjam","Odisha"},
		{"Gajapati","Odisha"},
		{"Kandhamal","Odisha"},
		{"Boudh","Odisha"},
		{"Sonepur","Odisha"},
		{"Bolangir","Odisha"},
		{"Nuapada","Odisha"},
		{"Kalahandi","Odisha"},
		{"Rayagada","Odisha"},
		{"Nabarangpur","Odisha"},
		{"Koraput","Odisha"},
		{"Malkangiri","Odisha"},
		{"Koriya","Chhattisgarh"},
		{"Surguja","Chhattisgarh"},
		{"Jashpur","Chhattisgarh"},
		{"Raigarh","Chhattisgarh"},
		{"Korba","Chhattisgarh"},
		{"Janjgir-Champa","Chhattisgarh"},
		{"Bilaspur","Chhattisgarh"},
		{"Kawardha","Chhattisgarh"},
		{"Rajnandgaon","Chhattisgarh"},
		{"Durg","Chhattisgarh"},
		{"Raipur","Chhattisgarh"},
		{"Mahasamund","Chhattisgarh"},
		{"Dhamtari","Chhattisgarh"},
		{"Kanker","Chhattisgarh"},
		{"Bastar","Chhattisgarh"},
		{"Dantewada","Chhattisgarh"},
		{"Kondagaon","Chhattisgarh"},
		{"Narayanpur","Chhattisgarh"},
		{"Mungeli","Chhattisgarh"},
		{"Bijapur","Chhattisgarh"},
		{"Sukma","Chhattisgarh"},
		{"Balod","Chhattisgarh"},
		{"Bemetara","Chhattisgarh"},
		{"Balodabazar","Chhattisgarh"},
		{"Gariaband","Chhattisgarh"},
		{"Balrampurh","Chhattisgarh"},
		{"Surajpur","Chhattisgarh"},
		{"Gaurela-Pendra-Marvahi","Chhattisgarh"},
		{"Sheopur","Madhya Pradesh"},
		{"Morena","Madhya Pradesh"},
		{"Bhind","Madhya Pradesh"},
		{"Gwalior","Madhya Pradesh"},
		{"Datia","Madhya Pradesh"},
		{"Shivpuri","Madhya Pradesh"},
		{"Guna","Madhya Pradesh"},
		{"Tikamgarh","Madhya Pradesh"},
		{"Chhatarpur","Madhya Pradesh"},
		{"Panna","Madhya Pradesh"},
		{"Sagar","Madhya Pradesh"},
		{"Damoh","Madhya Pradesh"},
		{"Satna","Madhya Pradesh"},
		{"Rewa","Madhya Pradesh"},
		{"Umaria","Madhya Pradesh"},
		{"Shahdol","Madhya Pradesh"},
		{"Sidhi","Madhya Pradesh"},
		{"Neemuch","Madhya Pradesh"},
		{"Mandsaur","Madhya Pradesh"},
		{"Ratlam","Madhya Pradesh"},
		{"Ujjain","Madhya Pradesh"},
		{"Shajapur","Madhya Pradesh"},
		{"Dewas","Madhya Pradesh"},
		{"Jhabua","Madhya Pradesh"},
		{"Dhar","Madhya Pradesh"},
		{"Indore","Madhya Pradesh"},
		{"Khargone","Madhya Pradesh"},
		{"Barwani","Madhya Pradesh"},
		{"Khandwa","Madhya Pradesh"},
		{"Rajgarh","Madhya Pradesh"},
		{"Vidisha","Madhya Pradesh"},
		{"Bhopal","Madhya Pradesh"},
		{"Sehore","Madhya Pradesh"},
		{"Raisen","Madhya Pradesh"},
		{"Betul","Madhya Pradesh"},
		{"Harda","Madhya Pradesh"},
		{"Hoshangabad","Madhya Pradesh"},
		{"Katni","Madhya Pradesh"},
		{"Jabalpur","Madhya Pradesh"},
		{"Narsinghpur","Madhya Pradesh"},
		{"Dindori","Madhya Pradesh"},
		{"Mandla","Madhya Pradesh"},
		{"Chhindwara","Madhya Pradesh"},
		{"Seoni","Madhya Pradesh"},
		{"Balaghat","Madhya Pradesh"},
		{"Ashoknagar","Madhya Pradesh"},
		{"Anuppur","Madhya Pradesh"},
		{"Burhanpur","Madhya Pradesh"},
		{"Alirajpur","Madhya Pradesh"},
		{"Singrauli","Madhya Pradesh"},
		{"Agar Malwa","Madhya Pradesh"},
		{"Niwari","Madhya Pradesh"},
		{"Kachchh","Gujarat"},
		{"Banaskantha","Gujarat"},
		{"Patan","Gujarat"},
		{"Mahesana","Gujarat"},
		{"Sabar Kantha","Gujarat"},
		{"Gandhinagar","Gujarat"},
		{"Ahmedabad","Gujarat"},
		{"Surendranagar","Gujarat"},
		{"Rajkot","Gujarat"},
		{"Jamnagar","Gujarat"},
		{"Porbandar","Gujarat"},
		{"Junagadh","Gujarat"},
		{"Amreli","Gujarat"},
		{"Bhavnagar","Gujarat"},
		{"Anand","Gujarat"},
		{"Kheda","Gujarat"},
		{"Panch Mahals","Gujarat"},
		{"Dahod","Gujarat"},
		{"Vadodara","Gujarat"},
		{"Narmada","Gujarat"},
		{"Bharuch","Gujarat"},
		{"Surat","Gujarat"},
		{"The Dangs","Gujarat"},
		{"Navsari","Gujarat"},
		{"Valsad","Gujarat"},
		{"Tapi","Gujarat"},
		{"Aravalli","Gujarat"},
		{"Botad","Gujarat"},
		{"Devbhoomi Dwarka","Gujarat"},
		{"Gir Somnath","Gujarat"},
		{"Mahisagar","Gujarat"},
		{"Chhotaudepur","Gujarat"},
		{"Morbi","Gujarat"},
		{"Diu","Daman & Diu"},
		{"Daman","Daman & Diu"},
		{"Dadra And Nagar Haveli(Ut)","Dadra & Nagar Haveli"},
		{"Nandurbar","Maharashtra"},
		{"Dhule","Maharashtra"},
		{"Jalgaon","Maharashtra"},
		{"Buldana","Maharashtra"},
		{"Akola","Maharashtra"},
		{"Washim","Maharashtra"},
		{"Amravati","Maharashtra"},
		{"Wardha","Maharashtra"},
		{"Nagpur","Maharashtra"},
		{"Bhandara","Maharashtra"},
		{"Gondia","Maharashtra"},
		{"Gadchiroli","Maharashtra"},
		{"Chandrapur","Maharashtra"},
		{"Yavatmal","Maharashtra"},
		{"Nanded","Maharashtra"},
		{"Hingoli","Maharashtra"},
		{"Parbhani","Maharashtra"},
		{"Jalna","Maharashtra"},
		{"Aurangabad","Maharashtra"},
		{"Nashik","Maharashtra"},
		{"Thane","Maharashtra"},
		{"Mumbai (Suburban)","Maharashtra"},
		{"Mumbai","Maharashtra"},
		{"Raigad","Maharashtra"},
		{"Pune","Maharashtra"},
		{"Ahmednagar","Maharashtra"},
		{"Beed","Maharashtra"},
		{"Latur","Maharashtra"},
		{"Osmanabad","Maharashtra"},
		{"Solapur","Maharashtra"},
		{"Satara","Maharashtra"},
		{"Ratnagiri","Maharashtra"},
		{"Sindhudurg","Maharashtra"},
		{"Kolhapur","Maharashtra"},
		{"Sangli","Maharashtra"},
		{"Palghar","Maharashtra"},
		{"Srikakulam","Andhra Pradesh"},
		{"Vizianagaram","Andhra Pradesh"},
		{"Visakhapatnam","Andhra Pradesh"},
		{"East Godavari","Andhra Pradesh"},
		{"West Godavari","Andhra Pradesh"},
		{"Krishna","Andhra Pradesh"},
		{"Guntur","Andhra Pradesh"},
		{"Prakasam","Andhra Pradesh"},
		{"Nellore","Andhra Pradesh"},
		{"Kadapa","Andhra Pradesh"},
		{"Kurnool","Andhra Pradesh"},
		{"Anantapur","Andhra Pradesh"},
		{"Chittoor","Andhra Pradesh"},
		{"Belagavi","Karnataka"},
		{"Bagalkot","Karnataka"},
		{"Vijayapura","Karnataka"},
		{"Kalaburgi","Karnataka"},
		{"Bidar","Karnataka"},
		{"Raichur","Karnataka"},
		{"Koppal","Karnataka"},
		{"Gadag","Karnataka"},
		{"Dharwad","Karnataka"},
		{"Uttara Kannada","Karnataka"},
		{"Haveri","Karnataka"},
		{"Ballari","Karnataka"},
		{"Chitradurga","Karnataka"},
		{"Davanagere","Karnataka"},
		{"Shivamogga","Karnataka"},
		{"Udupi","Karnataka"},
		{"Chikkamagaluru","Karnataka"},
		{"Tumakuru","Karnataka"},
		{"Kolar","Karnataka"},
		{"Bengaluru Urban","Karnataka"},
		{"Bengaluru Rural","Karnataka"},
		{"Mandya","Karnataka"},
		{"Hassan","Karnataka"},
		{"Dakshina Kannada","Karnataka"},
		{"Kodagu","Karnataka"},
		{"Mysuru","Karnataka"},
		{"Chamarajanagara","Karnataka"},
		{"Chikkaballapura","Karnataka"},
		{"Ramanagara","Karnataka"},
		{"Yadgir","Karnataka"},
		{"North Goa","Goa"},
		{"South Goa","Goa"},
		{"Lakshadweep","Lakshadweep"},
		{"Thiruvananthapuram","Kerala"},
		{"Kollam","Kerala"},
		{"Pathanamthitta","Kerala"},
		{"Alappuzha","Kerala"},
		{"Kottayam","Kerala"},
		{"Idukki","Kerala"},
		{"Ernakulam","Kerala"},
		{"Thrissur","Kerala"},
		{"Palakkad","Kerala"},
		{"Malappuram","Kerala"},
		{"Kozhikode","Kerala"},
		{"Wayanad","Kerala"},
		{"Kannur","Kerala"},
		{"Kasaragod","Kerala"},
		{"Kancheepuram","Tamil Nadu"},
		{"Tiruvallur","Tamil Nadu"},
		{"Cuddalore","Tamil Nadu"},
		{"Villupuram","Tamil Nadu"},
		{"Vellore","Tamil Nadu"},
		{"Tiruvannamalai","Tamil Nadu"},
		{"Salem","Tamil Nadu"},
		{"Namakkal","Tamil Nadu"},
		{"Dharmapuri","Tamil Nadu"},
		{"Erode","Tamil Nadu"},
		{"Coimbatore","Tamil Nadu"},
		{"The Nilgiris","Tamil Nadu"},
		{"Thanjavur","Tamil Nadu"},
		{"Nagapattinam","Tamil Nadu"},
		{"Tiruvarur","Tamil Nadu"},
		{"Tiruchirappalli","Tamil Nadu"},
		{"Karur","Tamil Nadu"},
		{"Perambalur","Tamil Nadu"},
		{"Pudukkottai","Tamil Nadu"},
		{"Madurai","Tamil Nadu"},
		{"Theni","Tamil Nadu"},
		{"Dindigul","Tamil Nadu"},
		{"Ramanathapuram","Tamil Nadu"},
		{"Virudhunagar","Tamil Nadu"},
		{"Sivagangai","Tamil Nadu"},
		{"Tirunelveli","Tamil Nadu"},
		{"Thoothukkudi","Tamil Nadu"},
		{"Kanniyakumari","Tamil Nadu"},
		{"Chennai","Tamil Nadu"},
		{"Krishnagiri","Tamil Nadu"},
		{"Ariyalur","Tamil Nadu"},
		{"Tiruppur","Tamil Nadu"},
		{"Yanam","Puducherry"},
		{"Pondicherry","Puducherry"},
		{"Mahe","Puducherry"},
		{"Karaikal","Puducherry"},
		{"Andamans","Andaman & Nicobar Islands"},
		{"Nicobars","Andaman & Nicobar Islands"},
		{"Middle And North Andamans","Andaman & Nicobar Islands"},
		{"Adilabad","Telangana"},
		{"Komaram Bheem","Telangana"},
		{"Mancherial","Telangana"},
		{"Nirmal","Telangana"},
		{"Nizamabad","Telangana"},
		{"Jagtial","Telangana"},
		{"Peddapalli","Telangana"},
		{"Jayashankar","Telangana"},
		{"Bhadradri","Telangana"},
		{"Mahabubabad","Telangana"},
		{"Warangal Rural","Telangana"},
		{"Warangal Urban","Telangana"},
		{"Karimnagar","Telangana"},
		{"Rajanna","Telangana"},
		{"Kamareddy","Telangana"},
		{"Sangareddy","Telangana"},
		{"Medak","Telangana"},
		{"Siddipet","Telangana"},
		{"Jangaon","Telangana"},
		{"Yadadri","Telangana"},
		{"Medchal-Malkajgiri","Telangana"},
		{"Hyderbad","Telangana"},
		{"Rangareddy","Telangana"},
		{"Vikarabad","Telangana"},
		{"Mahabubnagar","Telangana"},
		{"Jogulamba","Telangana"},
		{"Wanaparthy","Telangana"},
		{"Nagarkurnool","Telangana"},
		{"Nalgonda","Telangana"},
		{"Suryapet","Telangana"},
		{"Khammam","Telangana"},
		{"Mulugu","Telangana"},
		{"Narayanpet","Telangana"}
		}).collect(Collectors.toMap(data -> data[0], data -> data[1]));

}
